Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.bean
Class AbstractDynamicConfigFactory

    java.lang.Object
      com.connecterra.ale.dynamicconfig.bean.AbstractDynamicConfigFactory

All Implemented Interfaces:
  DynamicConfigFactory

Direct Known Subclasses:
  DynamicConfigBeanFactory

    public abstract class AbstractDynamicConfigFactory

extends Object
implements DynamicConfigFactory

Abstract class that defines the convenience methods in the factory interface using the other required methods in the factory.

Constructor Summary
`AbstractDynamicConfigFactory()`

Method Summary
`PluginParameterMeta` | `createBooleanMeta(String keyName, String displayName, String desc, boolean defaultValue)` Creates an optional boolean parameter meta with a default value.
`PluginParameterMeta` | `createLabelMeta(String keyName, String displayName, String desc)` Creates a label parameter meta.
`PluginParameterMeta` | `createNumericMeta(String keyName, String displayName, String desc, long defaultValue)` Creates an optional numeric parameter meta with a default value.
`PluginParameterMeta` | `createNumericMeta(String keyName, String displayName, String desc, long defaultValue, long min, long max)` Creates an optional numeric parameter meta with a default value and min-max constraint.
`PluginParameterMeta` | `createRequiredBooleanMeta(String keyName, String displayName, String desc)` Creates a required boolean parameter meta.
`PluginParameterMeta` | `createRequiredNumericMeta(String keyName, String displayName, String desc)` Creates a required numeric parameter meta.
`PluginParameterMeta` | `createRequiredNumericMeta(String keyName, String displayName, String desc, long min, long max)` Creates a required numeric parameter meta, with a min-max constraint.
`PluginParameterMeta` | `createRequiredStringMeta(String keyName, String displayName, String desc)` Creates a required string parameter meta.
`PluginParameterMeta` | `createStringListMeta(String keyName, String displayName, String desc)` Creates a non-required, multi-valued string parameter meta.
`PluginParameterMeta` | `createStringMeta(String keyName, String displayName, String desc, String defaultValue)` Creates an optional string parameter meta with a default value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.connecterra.ale.dynamicconfig.api.DynamicConfigFactory
`createPluginConfig, createPluginConfigParameter, createPluginMeta, createPluginParameterConstraintDynamicSet, createPluginParameterConstraintEnum, createPluginParameterConstraintRangeNumeric, createPluginParameterMeta`

Constructor Detail

### AbstractDynamicConfigFactory

    public AbstractDynamicConfigFactory()

Method Detail

### createRequiredStringMeta

    public PluginParameterMeta createRequiredStringMeta(String keyName,
                                                        String displayName,
                                                        String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a required string parameter meta.

  Specified by:
    `createRequiredStringMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

### createStringMeta

    public PluginParameterMeta createStringMeta(String keyName,
                                                String displayName,
                                                String desc,
                                                String defaultValue)

  Description copied from interface: `DynamicConfigFactory`
  Creates an optional string parameter meta with a default value.

  Specified by:
    `createStringMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
    `defaultValue` - default value for this parameter
  Returns:
    the newly created `PluginParameterMeta`

### createRequiredBooleanMeta

    public PluginParameterMeta createRequiredBooleanMeta(String keyName,
                                                         String displayName,
                                                         String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a required boolean parameter meta.

  Specified by:
    `createRequiredBooleanMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

### createBooleanMeta

    public PluginParameterMeta createBooleanMeta(String keyName,
                                                 String displayName,
                                                 String desc,
                                                 boolean defaultValue)

  Description copied from interface: `DynamicConfigFactory`
  Creates an optional boolean parameter meta with a default value.

  Specified by:
    `createBooleanMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
    `defaultValue` - default value for this parameter
  Returns:
    the newly created `PluginParameterMeta`

### createRequiredNumericMeta

    public PluginParameterMeta createRequiredNumericMeta(String keyName,
                                                         String displayName,
                                                         String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a required numeric parameter meta.

  Specified by:
    `createRequiredNumericMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter met
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

### createRequiredNumericMeta

    public PluginParameterMeta createRequiredNumericMeta(String keyName,
                                                         String displayName,
                                                         String desc,
                                                         long min,
                                                         long max)

  Description copied from interface: `DynamicConfigFactory`
  Creates a required numeric parameter meta, with a min-max constraint.

  Specified by:
    `createRequiredNumericMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
    `min` - minimum value allowed for this parameter
    `max` - maximum value allowed for this parameter
  Returns:
    the newly created `PluginParameterMeta`

### createNumericMeta

    public PluginParameterMeta createNumericMeta(String keyName,
                                                 String displayName,
                                                 String desc,
                                                 long defaultValue)

  Description copied from interface: `DynamicConfigFactory`
  Creates an optional numeric parameter meta with a default value.

  Specified by:
    `createNumericMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
    `defaultValue` - default value for this parameter
  Returns:
    the newly created `PluginParameterMeta`

### createNumericMeta

    public PluginParameterMeta createNumericMeta(String keyName,
                                                 String displayName,
                                                 String desc,
                                                 long defaultValue,
                                                 long min,
                                                 long max)

  Description copied from interface: `DynamicConfigFactory`
  Creates an optional numeric parameter meta with a default value and min-max constraint.

  Specified by:
    `createNumericMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
    `defaultValue` - default value for this parameter
    `min` - minimum value allowed for this parameter
    `max` - maximum value allowed for this parameter
  Returns:
    the newly created `PluginParameterMeta`

### createLabelMeta

    public PluginParameterMeta createLabelMeta(String keyName,
                                               String displayName,
                                               String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a label parameter meta.

  Specified by:
    `createLabelMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

### createStringListMeta

    public PluginParameterMeta createStringListMeta(String keyName,
                                                    String displayName,
                                                    String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a non-required, multi-valued string parameter meta.

  Specified by:
    `createStringListMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD